Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class SimpleMergedSegmentWarmer

    java.lang.Object
      org.apache.lucene.index.IndexWriter.IndexReaderWarmer
          org.apache.lucene.index.SimpleMergedSegmentWarmer

    public class SimpleMergedSegmentWarmer

extends IndexWriter.IndexReaderWarmer

A very simple merged segment warmer that just ensures data structures are initialized.

Constructor Summary
`SimpleMergedSegmentWarmer(InfoStream infoStream)` Creates a new SimpleMergedSegmentWarmer

Method Summary
`void` | `warm(AtomicReader reader)` Invoked on the `AtomicReader` for the newly merged segment, before that segment is made visible to near-real-time readers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMergedSegmentWarmer

    public SimpleMergedSegmentWarmer(InfoStream infoStream)

  Creates a new SimpleMergedSegmentWarmer

  Parameters:
    `infoStream` - InfoStream to log statistics about warming.

Method Detail

### warm

    public void warm(AtomicReader reader)
              throws IOException

  Description copied from class: `IndexWriter.IndexReaderWarmer`
  Invoked on the `AtomicReader` for the newly merged segment, before that segment is made visible to near-real-time readers.

  Specified by:
    `warm` in class `IndexWriter.IndexReaderWarmer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.